<script>
  import {onMount} from "svelte";
  
    // Dimensions
    const width = 800;
    const height = 100;
    const margin = { top: 10, right: 20, bottom: 20, left: 20 };
    const innerWidth = width - margin.left - margin.right;
    const innerHeight = height - margin.top - margin.bottom;
  
    // Arrays
    const points = [
      innerWidth / 2 - 60,
      innerWidth / 2 - 30,
      innerWidth / 2,
      innerWidth / 2 + 30,
      innerWidth / 2 + 60
    ];
  
    
    // All lights with a higher index are on!
  
    
    let index = points.length;
    let interval;
    // Color
    //updated
    let color = "darkred";
  
  onMount(async () => {
    interval=setInterval(setindex,1000);
    function setindex() {
       index -=1
      if (index<0) {
        clearInterval(interval)
        color="darkgreen"
      }
     };
    });
       
  
  </script>
  <style>
    .red_on{opacity:1;}
    .red_of{opacity:0.3;}
  </style>
  <svg class="visible" viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
      {#each points as datapoint,idx}
      <circle class:red_on="{idx>=index}" class:red_of="{idx<index}" r=10 cy={innerHeight/2} cx={datapoint} style="fill:{color};"/>
      {/each}
    </g>
  </svg>

